Page MenuHomePhabricator

Mass actions always reach condition limit
Closed, ResolvedPublic

Description

Since tagging of actions which hit the condition limit is enabled, I've only seen it hit by mass actions, specifically MassMessage delivery and Nuke. I'm not sure about why this happens, but I don't think we should keep this going. I imagine it may be because those actions perform "all actions at once", so for instance AF may count all those actions as a single one (so conditions get summed up and of course break the conds limit). Anyway, we should probably find a way to avoid this behaviour, since it only clogs logs of condition limit reached.

Event Timeline

Daimona created this task.Apr 30 2018, 6:31 AM
Restricted Application added subscribers: Scoopfinder, Aklapper. · View Herald TranscriptApr 30 2018, 6:31 AM
Daimona updated the task description. (Show Details)Apr 30 2018, 7:23 AM

I imagine it may be because those actions perform "all actions at once", so for instance AF may count all those actions as a single one (so conditions get summed up and of course break the conds limit).

This should be it, yeah.

Anyway, we should probably find a way to avoid this behaviour, since it only clogs logs of condition limit reached.

By ensuring the initial number conditions is always zero maybe?

Change 429838 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Reset condCount when entering checkAllFilters

https://gerrit.wikimedia.org/r/429838

Daimona claimed this task.Apr 30 2018, 4:45 PM

Change 429838 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Reset condCount when entering checkAllFilters

https://gerrit.wikimedia.org/r/429838

Daimona closed this task as Resolved.Jun 8 2018, 10:11 AM

The problem itself is solved, nor I see other new problems due to the fix. In fact, on enwiki (where the tag was applied 21000 times), the last entry is on May 31st, which is the day the wmf.6 version came on group 2. Same on itwiki, and MediaWiki message delivery delivered lots of messages in between, so everything is fine.

Vvjjkkii renamed this task from Mass actions always reach condition limit to tzdaaaaaaa.Jul 1 2018, 1:13 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Daimona as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Daimona renamed this task from tzdaaaaaaa to Mass actions always reach condition limit.Jul 1 2018, 10:23 AM
Daimona closed this task as Resolved.
Daimona claimed this task.
Daimona raised the priority of this task from High to Needs Triage.
Daimona updated the task description. (Show Details)
Daimona added subscribers: gerritbot, Aklapper.